.country-localization-modal {
  display: none;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  max-width: 100%;
  padding: var(--spacing__24px) var(--layout__horizontal-indent--mobile);
  border: 0;

  @media screen and (max-width: 767px) {
    height: 100%;
    max-height: 100%;
  }

  @media screen and (min-width: 768px) {
    max-width: var(--max-width__533px);
    max-height: unset;
    padding: var(--spacing__40px) var(--layout__horizontal-indent--tablet);
  }

  @media screen and (min-width: 1025px) {
    padding-right: var(--layout__horizontal-indent--desktop);
    padding-left: var(--layout__horizontal-indent--desktop);
  }
}

.country-localization-modal[open] {
  display: flex;
}

.country-localization-modal::backdrop {
  background-color: var(--color__glaze--light);
}

.country-localization-modal__footer {
  margin-top: auto;
  padding-top: var(--spacing__40px);
}

body:has(.country-localization-modal[open]) {
  .card__availability {
    display: none;
  }

  .price {
    opacity: 0;
  }
}
